/* In fisierul copii.in se gasesc prenumele a mai multor copii
 * unii dintre acestia, avand acelasi prenume.
 * 
 * Sa se afiseze toate prenumele distince ale copiilor
 * n ordine alfabetica
 * 
 * 
 */ 
#include <fstream>
#include <string>
#include <map>
using namespace std;

ifstream fin("copii.in");
ofstream fout("copii.out");

int main()
{   
	// value - o variabila de tip boolean
	//   key   value   
	map<string, bool> apare;
	
	string prenume;
	
	while (fin >> prenume)
		apare[prenume] = true;
		
	
	for (auto c : apare)
		fout << c.first << ' ';
	
	return 0;
}
