/* In fisierul copii.in se gasesc prenumele a mai multor copii
 * unii dintre acestia, avand acelasi prenume.
 * 
 * Sa se afiseze pentru fiecare copil (prenume) numarul de aparitii
 * al acestui copil (prenume)
 * 
 * 
 */ 
#include <fstream>
#include <string>
#include <map>
using namespace std;

ifstream fin("copii.in");
ofstream fout("copii.out");

int main()
{   
	// value - frecventa de aparitie a cheii (a unui nume)
	//   key   value   
	map<string, int> cnt;
	
	string prenume;
	
	while (fin >> prenume)
		cnt[prenume]++;
		
	
	for (auto c : cnt)
		fout << c.first << ' ' << c.second << '\n';
	
	return 0;
}
