#include <iostream>
#include <set>
using namespace std;

/*  Operatiile de baza intr-un set:
 *  1. insert(x)
 *  2. find(x)
 *  3. erase(x)
 * 
 *  Toate aceste operatii au complexitatea: O(log2(n))  
 */ 

int main()
{	
	set<int> s = {200, 80, 200, 50, 30, 50, 200, 70, 10};

	// Tipul set nu admite operatorul de indexare
	
	for (int x : s)
		cout << x << ' ';
	cout << '\n';
	
	// Cautarea unei valori intr-un set

	auto it = s.find(50); // O(log2(n))
	
	if (it != s.end())
		cout << "valoarea " << 50 << " exista";
	else
		cout << "valoarea " << 50 << " nu exista";
	
		
	return 0;
}
